package nats

import (
	"cold-delivery/conf"
	"fmt"
	"github.com/nats-io/nats.go"
	"log"
)

var Nats *nats.Conn

// Setup 配置storage组件
func Setup() {
	// 连接Nats服务器
	var err error
	Nats, err = nats.Connect("nats://" + conf.ExtConfig.Nats.Url)
	if err != nil {
		log.Fatalf("nats 连接失败！\n", err.Error())
	}
	fmt.Println("nats 连接成功！")

}
